# DataPrepKit

DataPrepKit is a comprehensive toolkit designed to simplify the preprocessing of datasets for data analysis and machine learning applications. Utilizing the power of NumPy and Pandas, this package offers an array of functions to handle reading data, summarizing datasets, managing missing values, and encoding categorical data.

## Features

- **Data Reading**: Load data from CSV, Excel, and JSON formats.
- **Data Summary**: Generate statistical summaries for datasets.
- **Handling Missing Values**: Provide strategies for imputing or removing missing data.
- **Categorical Data Encoding**: Convert categorical data into a numerical format suitable for analysis.

## Installation

Install DataPrepKit by running:

```bash
pip install DataPrepKit
